Bug 1560973 - ath10k_pci firmware crash
Summary: ath10k_pci firmware crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-27 11:52 UTC by lukas.wolf
Modified: 2020-06-14 15:08 UTC (History)
20 users (show)

Fixed In Version: linux-firmware-20190213-93.git710963fe.fc29 linux-firmware-20190213-93.git710963fe.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 14:02:33 UTC
Type: Bug


Attachments (Terms of Use)
dmesg output, lspci -vv, modinfo ath10k_pci (11.97 KB, text/plain)
2018-03-27 11:52 UTC, lukas.wolf
no flags Details
Fedora 30 ath10k firmware crash: `journalctl -b -1` for the relevant boot (553.11 KB, text/plain)
2019-08-07 03:23 UTC, aGgM6kTti
no flags Details

Description lukas.wolf 2018-03-27 11:52:47 UTC
Created attachment 1413693 [details]
dmesg output, lspci -vv, modinfo ath10k_pci

Description of problem:
After a certain time running (probably every several hours), the ath10k_pci driver crashes and the wireless device stops working. Setting wlan to off and on again will make it work again. This bug was first seen since the last kernel upgrade (from 4.15.9 to 4.15.10). Maybe related to bug 1490172.


Version-Release number of selected component (if applicable):
- Linux HOSTNAME 4.15.10-300.fc27.x86_64 #1 SMP Thu Mar 15 17:13:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
- linux-firmware.noarch                      20171215-82.git2451bb22.fc27
- Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)
- Dell XPS 13 9370 laptop

How reproducible:

Steps to Reproduce:
1. Upgrade kernel to 4.15.10
2. Use the ath10k_pci driver with the jQualcomm Atheros network card
3. Wait and see

Actual results:

[106670.143021] ath10k_pci 0000:02:00.0: firmware crashed! (guid db1989b3-95dd-4829-a0ef-6902b448f555)
[106670.143052] ath10k_pci 0000:02:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:143a
[106670.143060] ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[106670.144732] ath10k_pci 0000:02:00.0: firmware ver WLAN.RM.4.4.1-00051-QCARMSWP-1 api 6 features wowlan,ignore-otp crc32 c3fd4411
[106670.145862] ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 0e26ef70
[106670.145872] ath10k_pci 0000:02:00.0: htt-ver 3.44 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[106670.158902] ath10k_pci 0000:02:00.0: failed to get memcpy hi address for firmware address 4: -16
[106670.158913] ath10k_pci 0000:02:00.0: failed to read firmware dump area: -16
[106670.158923] ath10k_pci 0000:02:00.0: Copy Engine register dump:
[106670.158941] ath10k_pci 0000:02:00.0: [00]: 0x00034400   2   2   3   3
[106670.158958] ath10k_pci 0000:02:00.0: [01]: 0x00034800   7   7 404 405
[106670.158975] ath10k_pci 0000:02:00.0: [02]: 0x00034c00   4   4  66  67
[106670.158992] ath10k_pci 0000:02:00.0: [03]: 0x00035000   0   0   2   0
[106670.159008] ath10k_pci 0000:02:00.0: [04]: 0x00035400 5585 5523  10 202
[106670.159025] ath10k_pci 0000:02:00.0: [05]: 0x00035800   0   0  64   0
[106670.159041] ath10k_pci 0000:02:00.0: [06]: 0x00035c00  16  15   6   4
[106670.159058] ath10k_pci 0000:02:00.0: [07]: 0x00036000   0   0   0   1
[106670.165254] ath10k_pci 0000:02:00.0: failed to read hi_board_data address: -28
[106670.223625] ieee80211 phy0: Hardware restart was requested
[106670.912546] ath10k_pci 0000:02:00.0: Unknown eventid: 118809
[106670.915332] ath10k_pci 0000:02:00.0: Unknown eventid: 90118
[106671.023012] ath10k_pci 0000:02:00.0: device successfully recovered
[106748.553078] wlp2s0: deauthenticating from c0:c1:c0:d2:1c:5f by local choice (Reason: 3=DEAUTH_LEAVING)
[106753.714651] ath10k_pci 0000:02:00.0: Unknown eventid: 118809
[106753.717648] ath10k_pci 0000:02:00.0: Unknown eventid: 90118
[106753.760424] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready


Expected results:
Obviously not crashing

Additional info:
See attachments.

Comment 1 Rolf Fokkens 2018-06-08 09:59:11 UTC
Issue is present on Fedora 28 too.

Hardware is a Dell Inspiron 5570:
[root@localhost ~]# lspci 
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 620 (rev 07)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 08)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Intel(R) 100 Series Chipset Family LPC Controller/eSPI Controller - 9D4E (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445] (rev c1)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL810xE PCI Express Fast Ethernet controller (rev 07)
03:00.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)
[root@localhost ~]#

Comment 2 sebastian.treu 2018-06-17 23:52:51 UTC
Same issue here:


$ lspci -vv
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 505c
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 123
	Region 0: Memory at f2000000 (64-bit, non-prefetchable) [size=16M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at e000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21) (prog-if 30 [XHCI])
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 121
	Region 0: Memory at f4400000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd

00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f442a000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: intel_pch_thermal
	Kernel modules: intel_pch_thermal

00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 125
	Region 0: Memory at f442b000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: mei_me
	Kernel modules: mei_me

00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device 505b
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 120
	Region 0: Memory at f4428000 (32-bit, non-prefetchable) [size=8K]
	Region 1: Memory at f442e000 (32-bit, non-prefetchable) [size=256]
	Region 2: I/O ports at e080 [size=8]
	Region 3: I/O ports at e088 [size=4]
	Region 4: I/O ports at e060 [size=32]
	Region 5: Memory at f442c000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff [size=4K]
	Memory behind bridge: f3000000-f3ffffff [size=16M]
	Prefetchable memory behind bridge: 00000000e0000000-00000000f1ffffff [size=288M]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.4 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: f4300000-f43fffff [size=1M]
	Prefetchable memory behind bridge: None
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #9 (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff [size=4K]
	Memory behind bridge: bf800000-bf9fffff [size=2M]
	Prefetchable memory behind bridge: 00000000bfa00000-00000000bfbfffff [size=2M]
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.2 PCI bridge: Intel Corporation Device 9d1a (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff [size=4K]
	Memory behind bridge: f4200000-f42fffff [size=1M]
	Prefetchable memory behind bridge: None
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.3 PCI bridge: Intel Corporation Device 9d1b (rev f1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: f4000000-f41fffff [size=2M]
	Prefetchable memory behind bridge: None
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
	Subsystem: Lenovo Device 505b
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f4424000 (32-bit, non-prefetchable) [size=16K]

00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 126
	Region 0: Memory at f4420000 (64-bit, non-prefetchable) [size=16K]
	Region 4: Memory at f4410000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel, snd_soc_skl

00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
	Subsystem: Lenovo Device 505b
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f442d000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at efa0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c_i801

01:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 940MX] (rev a2)
	Subsystem: Lenovo Device 505c
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 124
	Region 0: Memory at f3000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f0000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at d000 [size=128]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau

02:00.0 SD Host controller: O2 Micro, Inc. SD/MMC Card Reader Controller (rev 01) (prog-if 01)
	Subsystem: Lenovo Device 505b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4301000 (32-bit, non-prefetchable) [size=4K]
	Region 1: Memory at f4300000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci_pci

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
	Subsystem: Lenovo Device 505b
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 122
	Region 0: I/O ports at c000 [size=256]
	Region 2: Memory at f4204000 (64-bit, non-prefetchable) [size=4K]
	Region 4: Memory at f4200000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

05:00.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)
	Subsystem: Lenovo Device 0901
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 127
	Region 0: Memory at f4000000 (64-bit, non-prefetchable) [size=2M]
	Capabilities: <access denied>
	Kernel driver in use: ath10k_pci
	Kernel modules: ath10k_pci

$ uname -a
Linux leyla 4.16.13-200.fc27.x86_64 #1 SMP Wed May 30 15:03:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ grep ath10k_pci /var/log/messages
...
211/phy0/rfkill2) (driver ath10k_pci)
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x00080008: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for write32 of 0xffffffff at 0x00080008: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for write32 of 0xfffffffe at 0x00080008: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:49 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:50 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: failed to read device register, device is gone
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: firmware crashed! (guid 3483dd95-44e1-426d-9efb-66c8f998c19d)
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 17aa:0901
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: firmware ver WLAN.TF.1.0-00002-QCATFSWPZ-5 api 5 features ignore-otp crc32 c3e0d04f
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: board_file api 2 bmi_id N/A crc32 8aedfa4a
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: htt-ver 3.44 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: failed to read firmware dump area: -28
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: Copy Engine register dump:
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:53 leyla kernel: ath10k_pci 0000:05:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:54 leyla kernel: ath10k_pci 0000:05:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295
Jun 17 20:25:54 leyla kernel: ath10k_pci 0000:05:00.0: failed to reset chip: -5
Jun 17 20:25:54 leyla kernel: ath10k_pci 0000:05:00.0: Could not init hif: -5

Comment 3 Tadej Janež 2018-09-21 19:37:08 UTC
I'm experiencing the same thing on Dell XPS 15 9560 with:
kernel-4.18.8-200.fc28.x86_64
linux-firmware-20180815-86.gitf1b95fe5.fc28.noarch

The errors in the logs look like:
Sep 21 21:32:08 toronto kernel: ath10k_warn: 151 callbacks suppressed
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:08 toronto kernel: ath10k_pci 0000:02:00.0: failed to wake target for read32 at 0x0003a028: -110
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: failed to read device register, device is gone
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: firmware crashed! (guid ff612ca1-711b-4011-8ec2-9a4e23859951)
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:1535
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: firmware ver WLAN.RM.4.4.1-00079-QCARMSWPZ-1 api 6 features wowlan,ignore-otp crc32 fd869beb
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 20d869c3
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: htt-ver 3.47 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: failed to read firmware dump area: -28
Sep 21 21:32:10 toronto kernel: ath10k_pci 0000:02:00.0: Copy Engine register dump:
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: failed to reset chip: -5
Sep 21 21:32:11 toronto kernel: ath10k_pci 0000:02:00.0: Could not init hif: -5

Comment 4 lukas.wolf 2018-09-22 05:24:34 UTC
Comment from original bug reporter:

For me this is resolved and was probably caused by myself: After 'dnf upgrade' (from command line), when firmware updates were installed, I did not restart immediately every time. Since I'm doing this, I've never had this issue again...

Thanks for all your good work,

Lukas

Comment 5 tlatorre 2018-10-04 19:49:45 UTC
I am having the same issue on a Dell XPS 9560.

$ uname -a
Linux localhost.localdomain 4.18.10-100.fc27.x86_64 #1 SMP Wed Sep 26 11:06:22 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I have restarted the computer since updating and that does not resolve the problem.

Wifi usually crashes after a few hours of use.

Comment 6 jan p. springer 2018-11-23 16:05:07 UTC
same here: dell xps 9575

$uname -a
Linux narcissus 4.19.2-301.fc29.x86_64 #1 SMP Sat Nov 17 17:58:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Comment 7 Peter Robinson 2018-12-20 05:00:35 UTC
There's updated ath10k firmwares in linux-firmware-20181219-89.git0f22c852.fc28

Comment 8 Armin Beširović 2018-12-31 09:38:52 UTC
Same here on Dell XPS 13 9370 running Fedora 29. The solution from the Arch Linux Forums[1] seems to help, i.e. running: 

echo 1  | sudo tee /sys/bus/pci/rescan

Debug data below.

[1] https://bbs.archlinux.org/viewtopic.php?id=231896

Kernel:

Linux arnieworld 4.19.10-300.fc29.x86_64 #1 SMP Mon Dec 17 15:34:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Device:

02:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)
	Subsystem: Bigfoot Networks, Inc. Killer 1435 Wireless-AC
	Flags: bus master, fast devsel, latency 0, IRQ 136
	Memory at dc000000 (64-bit, non-prefetchable) [size=2M]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/8 Maskable+ 64bit-
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [148] Virtual Channel
	Capabilities: [168] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [178] Latency Tolerance Reporting
	Capabilities: [180] L1 PM Substates
	Kernel driver in use: ath10k_pci
	Kernel modules: ath10k_pci

Firmware package:

Installed Packages
Name         : linux-firmware
Version      : 20181219
Release      : 89.git0f22c852.fc29
Arch         : noarch
Size         : 328 M
Source       : linux-firmware-20181219-89.git0f22c852.fc29.src.rpm
Repo         : @System
From repo    : updates
Summary      : Firmware files used by the Linux kernel
URL          : http://www.kernel.org/
License      : GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
Description  : This package includes firmware files required for some devices to
             : operate.

Dmesg (was woken from suspend):

[378842.718993] PM: suspend entry (s2idle)
[378842.718994] PM: Syncing filesystems ... done.
[378842.735193] Freezing user space processes ... (elapsed 0.225 seconds) done.
[378842.960661] OOM killer disabled.
[378842.960662] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[378842.962540] Suspending console(s) (use no_console_suspend to debug)
[378843.287087] PM: suspend devices took 0.324 seconds
[380686.688006] ath10k_pci 0000:02:00.0: Unknown eventid: 118809
[380686.775577] WARNING: CPU: 6 PID: 29126 at drivers/net/wireless/ath/ath10k/mac.c:5625 ath10k_bss_info_changed+0xd2e/0xe70 [ath10k_core]
[380686.775578] Modules linked in: cmac thunderbolt ccm fuse rfcomm tun bridge stp llc devlink libcrc32c ip_set nfnetlink arc4 bnep sunrpc vfat fat hid_multitouch snd_hda_codec_hdmi snd_soc_skl ath10k_pci snd_soc_skl_ipc ath10k_core snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_realtek snd_hda_ext_core snd_soc_acpi_intel_match snd_soc_acpi snd_hda_codec_generic snd_soc_core snd_compress mac80211 ac97_bus snd_pcm_dmaengine dell_laptop iTCO_wdt mei_wdt snd_hda_intel iTCO_vendor_support dell_wmi uvcvideo dell_smbios intel_rapl wmi_bmof x86_pkg_temp_thermal intel_powerclamp snd_hda_codec intel_wmi_thunderbolt videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 coretemp snd_hda_core videobuf2_common snd_hwdep dell_wmi_descriptor dcdbas snd_seq kvm_intel videodev btusb snd_seq_device btrtl btbcm snd_pcm intel_cstate
[380686.775612]  ath btintel bluetooth cfg80211 media intel_uncore intel_rapl_perf snd_timer idma64 rtsx_pci_ms mei_me snd joydev ecdh_generic intel_lpss_pci memstick ucsi_acpi mei soundcore intel_lpss intel_pch_thermal typec_ucsi i2c_i801 processor_thermal_device rfkill intel_soc_dts_iosf typec wmi int3400_thermal acpi_thermal_rel acpi_pad int3403_thermal intel_hid int340x_thermal_zone pcc_cpufreq sparse_keymap dm_crypt i915 kvmgt mdev vfio kvm irqbypass i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel drm nvme ghash_clmulni_intel nvme_core serio_raw rtsx_pci i2c_hid pinctrl_sunrisepoint pinctrl_intel video [last unloaded: ip6_tables]
[380686.775645] CPU: 6 PID: 29126 Comm: kworker/u16:21 Tainted: G        W         4.19.10-300.fc29.x86_64 #1
[380686.775646] Hardware name: Dell Inc. XPS 13 9370/0VM1FG, BIOS 1.6.3 11/04/2018
[380686.775651] Workqueue: events_unbound async_run_entry_fn
[380686.775657] RIP: 0010:ath10k_bss_info_changed+0xd2e/0xe70 [ath10k_core]
[380686.775659] Code: 89 c1 89 f2 4c 89 d7 48 c7 c6 38 07 c8 c0 4c 89 4c 24 10 89 44 24 08 e8 70 34 00 00 8b 44 24 08 4c 8b 4c 24 10 e9 a1 f8 ff ff <0f> 0b e9 d5 f5 ff ff 8b b3 68 01 00 00 89 f2 89 c1 48 c7 c6 f8 06
[380686.775660] RSP: 0018:ffffb34c01477cc0 EFLAGS: 00010246
[380686.775661] RAX: 0000000000000000 RBX: ffffa06a8c18d3a0 RCX: 0000000000000000
[380686.775662] RDX: 0000000000000001 RSI: 00000000fffffe01 RDI: ffffffffc0c1945e
[380686.775663] RBP: 0000000002000000 R08: 0000000000200000 R09: 0000000000000000
[380686.775664] R10: 000000000000001f R11: ffffa06a73b6c400 R12: ffffa06a8c18d3a8
[380686.775665] R13: ffffa06aa1b11540 R14: ffffa06aa1b11540 R15: ffffa06a8c18d4f8
[380686.775666] FS:  0000000000000000(0000) GS:ffffa06aa6580000(0000) knlGS:0000000000000000
[380686.775667] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[380686.775668] CR2: 00007f6b1ab20780 CR3: 000000019120a001 CR4: 00000000003606e0
[380686.775668] Call Trace:
[380686.775676]  ? ath10k_conf_tx+0x7a/0x4b0 [ath10k_core]
[380686.775695]  ieee80211_bss_info_change_notify+0xab/0x1a0 [mac80211]
[380686.775712]  ieee80211_reconfig+0x656/0x12b0 [mac80211]
[380686.775715]  ? enqueue_entity+0xf6/0x680
[380686.775733]  wiphy_resume+0x7f/0x120 [cfg80211]
[380686.775743]  ? wiphy_suspend+0x270/0x270 [cfg80211]
[380686.775746]  dpm_run_callback+0x59/0x150
[380686.775749]  device_resume+0xac/0x1f0
[380686.775751]  async_resume+0x19/0x30
[380686.775753]  async_run_entry_fn+0x39/0x160
[380686.775756]  process_one_work+0x1a1/0x3a0
[380686.775758]  worker_thread+0x30/0x380
[380686.775760]  ? pwq_unbound_release_workfn+0xd0/0xd0
[380686.775762]  kthread+0x112/0x130
[380686.775764]  ? kthread_create_worker_on_cpu+0x70/0x70
[380686.775767]  ret_from_fork+0x35/0x40
[380686.775769] ---[ end trace 41c241226595342c ]---
[380686.776481] PM: resume devices took 0.777 seconds
[380686.776484] OOM killer enabled.
[380686.776484] Restarting tasks ... done.
[380686.823797] PM: suspend exit
[380686.846069] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[380687.605462] ath10k_pci 0000:02:00.0: Unknown eventid: 118809
[380687.663728] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[380687.694826] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[380692.399919] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[380697.116703] wlp2s0: authenticate with 74:85:2a:29:0c:71
[380697.160638] wlp2s0: send auth to 74:85:2a:29:0c:71 (try 1/3)
[380697.162375] wlp2s0: authenticated
[380697.163406] wlp2s0: associate with 74:85:2a:29:0c:71 (try 1/3)
[380697.167152] wlp2s0: RX AssocResp from 74:85:2a:29:0c:71 (capab=0x1411 status=0 aid=1)
[380697.169363] wlp2s0: associated
[380697.205064] IPv6: ADDRCONF(NETDEV_CHANGE): wlp2s0: link becomes ready

Comment 9 Nathan Caza 2019-01-01 05:44:02 UTC
Same, XPS 15 9575 running Fedora 29
linux-firmware-20181219-89.git0f22c852.fc28.src.rpm

For me it goes out a few times a day, started fairly recently. `rmmod ath10k_pci` seems to lock everything up completely (tried to reload it at first). Restarting each time "works" but requires a hard reset (shutdown hangs on firewalld).

Haven't tried the rescan trick yet. 


Kernel:   Linux mobile1-local 4.19.10-300.fc29.x86_64 #1 SMP Mon Dec 17 15:34:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux


  *-network                 
       description: Wireless interface
       product: QCA6174 802.11ac Wireless Network Adapter
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlp2s0
       version: 32
       serial: [REMOVED]
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath10k_pci driverversion=4.19.10-300.fc29.x86_64 firmware=RM.4.4.1.c2-00057-QCARMSWP-1 ip=[REMOVED] latency=0 link=yes multicast=yes wireless=IEEE 802.11
       resources: irq:149 memory:ec000000-ec1fffff



[19047.239214] ath10k_pci 0000:02:00.0: firmware crashed! (guid 23d2bcab-6c75-4c99-a742-65320c6f23ab)
[19047.239250] ath10k_pci 0000:02:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:143a
[19047.239263] ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[19047.240966] ath10k_pci 0000:02:00.0: firmware ver RM.4.4.1.c2-00057-QCARMSWP-1 api 6 features wowlan,ignore-otp,no-4addr-pad,raw-mode crc32 e061250a
[19047.242147] ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 20d869c3
[19047.242158] ath10k_pci 0000:02:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[19047.255212] ath10k_pci 0000:02:00.0: failed to get memcpy hi address for firmware address 4: -16
[19047.255225] ath10k_pci 0000:02:00.0: failed to read firmware dump area: -16
[19047.255232] ath10k_pci 0000:02:00.0: Copy Engine register dump:
[19047.255250] ath10k_pci 0000:02:00.0: [00]: 0x00034400   0   0   3   3
[19047.255269] ath10k_pci 0000:02:00.0: [01]: 0x00034800  22  22  35  36
[19047.255285] ath10k_pci 0000:02:00.0: [02]: 0x00034c00  42  41  39  40
[19047.255301] ath10k_pci 0000:02:00.0: [03]: 0x00035000  12  12  14  12
[19047.255317] ath10k_pci 0000:02:00.0: [04]: 0x00035400 2307 2283 182 118
[19047.255333] ath10k_pci 0000:02:00.0: [05]: 0x00035800   0   0  64   0
[19047.255348] ath10k_pci 0000:02:00.0: [06]: 0x00035c00  24  21  15  11
[19047.255364] ath10k_pci 0000:02:00.0: [07]: 0x00036000   0   0   0   1
[19047.268201] ath10k_pci 0000:02:00.0: failed to read hi_board_data address: -28
[19047.326400] ieee80211 phy0: Hardware restart was requested
[19050.052580] ath10k_pci 0000:02:00.0: firmware crashed! (guid e78f1069-d791-4a25-bc91-7fc1a06f653c)
[19050.052607] ath10k_pci 0000:02:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:143a
[19050.052622] ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[19050.054022] ath10k_pci 0000:02:00.0: firmware ver RM.4.4.1.c2-00057-QCARMSWP-1 api 6 features wowlan,ignore-otp,no-4addr-pad,raw-mode crc32 e061250a
[19050.055070] ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 20d869c3
[19050.055082] ath10k_pci 0000:02:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[19050.057121] ath10k_pci 0000:02:00.0: firmware register dump:
[19050.057135] ath10k_pci 0000:02:00.0: [00]: 0x05030000 0x000015B3 0x0091D279 0x00955B31
[19050.057142] ath10k_pci 0000:02:00.0: [04]: 0x0091D279 0x00060130 0x0000000F 0x0041EB3C
[19050.057148] ath10k_pci 0000:02:00.0: [08]: 0x00000000 0x00427FCC 0x0042BEC4 0x00427F90
[19050.057155] ath10k_pci 0000:02:00.0: [12]: 0x00000009 0xFFFFFFFF 0x00952CD0 0x00952CE6
[19050.057165] ath10k_pci 0000:02:00.0: [16]: 0x00952CC4 0x0091080D 0x00000000 0x00000000
[19050.057172] ath10k_pci 0000:02:00.0: [20]: 0x4091D279 0x0040E9F8 0x0000004C 0x00000000
[19050.057178] ath10k_pci 0000:02:00.0: [24]: 0x80A00193 0x0040EA58 0x00427BCC 0xC091D279
[19050.057186] ath10k_pci 0000:02:00.0: [28]: 0x809FAD26 0x0040EA78 0x00438560 0x00000001
[19050.057193] ath10k_pci 0000:02:00.0: [32]: 0x80911210 0x0040EAC8 0x00000011 0x004041E4
[19050.057200] ath10k_pci 0000:02:00.0: [36]: 0x80911154 0x0040EB28 0x00400000 0x00000000
[19050.057207] ath10k_pci 0000:02:00.0: [40]: 0x8091122D 0x0040EB48 0x00000000 0x00400600
[19050.057214] ath10k_pci 0000:02:00.0: [44]: 0x40910024 0x0040EB78 0x0040AB98 0x0040AB98
[19050.057221] ath10k_pci 0000:02:00.0: [48]: 0x00000000 0x0040EB98 0x009BB001 0x00040020
[19050.057228] ath10k_pci 0000:02:00.0: [52]: 0x80911154 0x0040EB28 0x00400000 0x00000000
[19050.057236] ath10k_pci 0000:02:00.0: [56]: 0x00000001 0x00000004 0x000004A8 0x004040F4
[19050.057242] ath10k_pci 0000:02:00.0: Copy Engine register dump:
[19050.057257] ath10k_pci 0000:02:00.0: [00]: 0x00034400   0   0   3   3
[19050.057272] ath10k_pci 0000:02:00.0: [01]: 0x00034800   3   3  16  17
[19050.057286] ath10k_pci 0000:02:00.0: [02]: 0x00034c00   2   2   1   2
[19050.057299] ath10k_pci 0000:02:00.0: [03]: 0x00035000   1   0   2   0
[19050.057314] ath10k_pci 0000:02:00.0: [04]: 0x00035400  28   6  64   2
[19050.057328] ath10k_pci 0000:02:00.0: [05]: 0x00035800   0   0   0   0
[19050.057342] ath10k_pci 0000:02:00.0: [06]: 0x00035c00   0   0   0   0
[19050.057356] ath10k_pci 0000:02:00.0: [07]: 0x00036000   1   1   1   1
[19053.091171] ath10k_pci 0000:02:00.0: wmi unified ready event not received
[19053.125326] ath10k_pci 0000:02:00.0: device has crashed during init
[19053.147506] ath10k_pci 0000:02:00.0: device has crashed during init
[19053.147512] ath10k_pci 0000:02:00.0: failed to wait for target init: -70
[19053.149329] ath10k_pci 0000:02:00.0: Could not init core: -110
[19053.149336] ------------[ cut here ]------------
[19053.149337] Hardware became unavailable during restart.
[19053.149413] WARNING: CPU: 0 PID: 22796 at net/mac80211/util.c:1936 ieee80211_reconfig+0x7c/0x12b0 [mac80211]
[19053.149416] ath10k_pci 0000:02:00.0: cannot restart a device that hasn't been started
[19053.149418] Modules linked in: uhid thunderbolt fuse rfcomm ccm xt_CHECKSUM ipt_MASQUERADE tun xt_addrtype nf_conntrack_netbios_ns devlink nf_conntrack_broadcast xt_CT br_netfilter bridge stp llc ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) cmac overlay bnep sunrpc vfat fat snd_hda_codec_hdmi arc4 joydev wacom hid_multitouch iTCO_wdt iTCO_vendor_support uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 ath10k_pci videobuf2_common btusb ath10k_core snd_hda_codec_realtek
[19053.149476]  mei_wdt btrtl videodev btbcm snd_hda_codec_generic intel_rapl btintel x86_pkg_temp_thermal intel_powerclamp bluetooth dell_wmi media wmi_bmof coretemp mac80211 snd_hda_intel intel_wmi_thunderbolt snd_hda_codec kvm_intel snd_hda_core cdc_acm snd_hwdep snd_seq crct10dif_pclmul crc32_pclmul ecdh_generic snd_seq_device dell_laptop snd_pcm ghash_clmulni_intel intel_cstate dell_smbios ath dell_wmi_descriptor intel_uncore dcdbas intel_rapl_perf cfg80211 snd_timer mei_me snd mei soundcore hid_sensor_accel_3d idma64 hid_sensor_magn_3d hid_sensor_rotation hid_sensor_incl_3d hid_sensor_gyro_3d hid_sensor_trigger hid_sensor_iio_common rtsx_pci_ms intel_pch_thermal industrialio_triggered_buffer intel_lpss_pci kfifo_buf rfkill i2c_i801 memstick intel_lpss industrialio processor_thermal_device ucsi_acpi
[19053.149532]  intel_soc_dts_iosf typec_ucsi typec wmi intel_hid intel_vbtn soc_button_array int3403_thermal int340x_thermal_zone sparse_keymap pcc_cpufreq int3400_thermal acpi_thermal_rel acpi_pad mmc_block hid_sensor_hub intel_ishtp_hid amdgpu i915 kvmgt mdev vfio kvm chash gpu_sched irqbypass i2c_algo_bit drm_kms_helper ttm rtsx_pci_sdmmc nvme mmc_core drm crc32c_intel serio_raw nvme_core rtsx_pci intel_ish_ipc i2c_hid intel_ishtp video ecryptfs
[19053.149574] CPU: 0 PID: 22796 Comm: kworker/0:0 Tainted: G           OE     4.19.10-300.fc29.x86_64 #1
[19053.149575] Hardware name: Dell Inc. XPS 15 9575/0C32VW, BIOS 1.1.9 08/08/2018
[19053.149612] Workqueue: events_freezable ieee80211_restart_work [mac80211]
[19053.149657] RIP: 0010:ieee80211_reconfig+0x7c/0x12b0 [mac80211]
[19053.149660] Code: 00 00 c6 44 24 1f 00 41 c6 85 9c 04 00 00 00 4c 89 ef e8 a7 cc fc ff 41 89 c7 85 c0 74 63 48 c7 c7 b8 01 ff c0 e8 7e 49 10 d8 <0f> 0b 4c 89 ef e8 6a e1 ff ff e9 0b 03 00 00 c6 87 9a 04 00 00 01
[19053.149663] RSP: 0018:ffffa21f46013e00 EFLAGS: 00010286
[19053.149667] RAX: 0000000000000000 RBX: ffff93814c220f90 RCX: 0000000000000006
[19053.149669] RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff93815f416860
[19053.149672] RBP: ffff93814c220f90 R08: 000000000000003c R09: 0000000000000003
[19053.149674] R10: 0000000000000000 R11: 0000000000000001 R12: ffff93814c2213c8
[19053.149677] R13: ffff93814c220760 R14: ffff938153771300 R15: 00000000ffffff92
[19053.149680] FS:  0000000000000000(0000) GS:ffff93815f400000(0000) knlGS:0000000000000000
[19053.149683] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[19053.149685] CR2: 00007f2158f4a000 CR3: 000000028020a005 CR4: 00000000003606f0
[19053.149687] Call Trace:
[19053.149700]  ? try_to_del_timer_sync+0x4d/0x80
[19053.149736]  ieee80211_restart_work+0xbb/0xe0 [mac80211]
[19053.149743]  process_one_work+0x1a1/0x3a0
[19053.149748]  worker_thread+0x30/0x380
[19053.149753]  ? pwq_unbound_release_workfn+0xd0/0xd0
[19053.149758]  kthread+0x112/0x130
[19053.149763]  ? kthread_create_worker_on_cpu+0x70/0x70
[19053.149767]  ret_from_fork+0x35/0x40
[19053.149771] ---[ end trace 4411287844f51da7 ]---

...Many other traces follow...

Comment 10 sebastian.treu 2019-01-09 18:49:44 UTC
Hi all, it's worth to mention that for me the problem is gone after a colleague, which had the same laptopt model as they are bought in batches by the company I work at, quit the job and before he returns the laptop I asked if we could switch the wifi card.

After changing wifi cards (same model, same card) the problem is gone completely (3 months). I'm not directly saying that this is a hardware issue, but I'm stating that changing the wifi card for another one which is the same model, the problem is gone.

Comment 11 sebastian.treu 2019-01-26 21:01:11 UTC
I will update this. Problem is back. After a while of not having any issues, they're back now with the wifi card from the other lenovo laptop:


Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x00080008: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for write32 of 0xffffffff at 0x00080008: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for write32 of 0xfffffffe at 0x00080008: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:18 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:21 leyla kernel: ath10k_pci 0000:05:00.0: failed to read device register, device is gone
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: firmware crashed! (guid bdf279f7-7edf-44ab-b1e8-aa68c97a1a25)
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 17aa:0901
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: firmware ver WLAN.TF.2.1-00021-QCARMSWP-1 api 6 features wowlan,ignore-otp crc32 42e41877
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: board_file api 2 bmi_id N/A crc32 8aedfa4a
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: failed to read firmware dump area: -28
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: Copy Engine register dump:
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:22 leyla kernel: ath10k_pci 0000:05:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:23 leyla kernel: ath10k_pci 0000:05:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:23 leyla kernel: ath10k_pci 0000:05:00.0: failed to reset chip: -5
Jan 26 17:52:23 leyla kernel: ath10k_pci 0000:05:00.0: Could not init hif: -5
Jan 26 17:52:23 leyla wpa_supplicant[1268]: Could not set interface wlp5s0 flags (UP): Input/output error
Jan 26 17:52:23 leyla wpa_supplicant[1268]: nl80211: Could not set interface 'wlp5s0' UP
Jan 26 17:52:23 leyla wpa_supplicant[1268]: nl80211: deinit ifname=wlp5s0 disabled_11b_rates=0
Jan 26 17:52:23 leyla kernel: ath10k_warn: 155 callbacks suppressed
Jan 26 17:52:23 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:23 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to wake target for read32 at 0x0003a028: -110
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to read device register, device is gone
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: firmware crashed! (guid d0072299-32ce-4e2a-b462-5a82ad0a1f28)
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 17aa:0901
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: firmware ver WLAN.TF.2.1-00021-QCARMSWP-1 api 6 features wowlan,ignore-otp crc32 42e41877
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: board_file api 2 bmi_id N/A crc32 8aedfa4a
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to read firmware dump area: -28
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: Copy Engine register dump:
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: failed to reset chip: -5
Jan 26 17:52:27 leyla kernel: ath10k_pci 0000:05:00.0: Could not init hif: -5



For the record, anyone knows how to recover the wifi driver without rebooting? I've tried reinserting the module without luck. Can you advice?

Thanks,

Comment 12 vladimir-csp 2019-01-30 17:25:09 UTC
> For the record, anyone knows how to recover the wifi driver without rebooting? I've tried reinserting the module without luck. Can you advice?

I have the same problem o Debian with firmware ver RM.4.4.1.c2-00057-QCARMSWP-1 api 6, but I finally managed to reset the device without reboot:

    # remove faulty module:
    sudo modprobe -r ath10k_pci
    # lspci shows card being in the slot 03:00.0
    # tried resetting first, didn't help. Probably irrelevant:
    echo 1 | sudo tee /sys/bus/pci/devices/0000\:03\:00.0/reset
    # remove device:
    echo 1 | sudo tee /sys/bus/pci/devices/0000\:03\:00.0/remove
    # rescan PCI:
    echo 1 | sudo tee /sys/bus/pci/rescan
    # probably irrelevant:
    echo 1 | sudo tee /sys/bus/pci/drivers_autoprobe
    # load module back:
    sudo modprobe ath10k_pci

Comment 13 Peter Robinson 2019-02-14 12:22:31 UTC
The inux-firmware-20190213-93.git710963fe has a new firmware for QCA6174 so please test

Comment 14 Fedora Update System 2019-02-14 12:26:30 UTC
linux-firmware-20190213-93.git710963fe.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-42cbff0fd6

Comment 15 Fedora Update System 2019-02-14 12:26:42 UTC
linux-firmware-20190213-93.git710963fe.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f27089e66c

Comment 16 Fedora Update System 2019-02-15 01:31:09 UTC
linux-firmware-20190213-93.git710963fe.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f27089e66c

Comment 17 Fedora Update System 2019-02-15 02:57:08 UTC
linux-firmware-20190213-93.git710963fe.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-42cbff0fd6

Comment 18 Fedora Update System 2019-02-19 14:02:33 UTC
linux-firmware-20190213-93.git710963fe.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-02-24 04:08:25 UTC
linux-firmware-20190213-93.git710963fe.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Felipe Zipitría 2019-03-01 11:46:34 UTC
Well, Fedora 29 here:

Hardware name: Dell Inc. XPS 13 9360/0PF86Y, BIOS 2.10.0 09/27/2018

[158303.517518] usb 1-3: device not accepting address 3, error -71
[158303.828861] ath10k_pci 0000:3a:00.0: failed to read device register, device is gone
[158303.920145] ath10k_pci 0000:3a:00.0: firmware crashed! (guid 272e6d4f-fef9-4c4a-a6b9-f7190b14076b)
[158303.920147] ath10k_pci 0000:3a:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:1535
[158303.920149] ath10k_pci 0000:3a:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[158303.920510] ath10k_pci 0000:3a:00.0: firmware ver RM.4.4.1.c2-00057-QCARMSWP-1 api 6 features wowlan,ignore-otp,no-4addr-pad,raw-mode crc32 e061250a
[158303.920786] ath10k_pci 0000:3a:00.0: board_file api 2 bmi_id N/A crc32 4ed3569e
[158303.920788] ath10k_pci 0000:3a:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[158305.566298] ath10k_warn: 155 callbacks suppressed
[158305.566300] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.596775] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.627248] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.657728] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.688206] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.718676] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.749150] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.779624] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.810098] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158305.840570] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00036044: -110
[158310.137722] ath10k_pci 0000:3a:00.0: failed to read firmware dump area: -16
[158310.137723] ath10k_pci 0000:3a:00.0: Copy Engine register dump:
[158310.259437] ath10k_pci 0000:3a:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
[158310.381133] ath10k_pci 0000:3a:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
[158310.502843] ath10k_pci 0000:3a:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
[158310.594126] ath10k_warn: 156 callbacks suppressed
[158310.594127] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035040: -110
[158310.624558] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035048: -110
[158310.624559] ath10k_pci 0000:3a:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
[158310.654990] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003543c: -110
[158310.685415] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035444: -110
[158310.715847] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035440: -110
[158310.746267] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035448: -110
[158310.746268] ath10k_pci 0000:3a:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
[158310.776698] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x0003583c: -110
[158310.807123] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035844: -110
[158310.837544] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035840: -110
[158310.867974] ath10k_pci 0000:3a:00.0: failed to wake target for read32 at 0x00035848: -110
[158310.867975] ath10k_pci 0000:3a:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
[158310.989681] ath10k_pci 0000:3a:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
[158311.111384] ath10k_pci 0000:3a:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295
[158311.111386] ath10k_pci 0000:3a:00.0: failed to reset chip: -5
[158311.111388] ath10k_pci 0000:3a:00.0: Could not init hif: -5
[158311.111389] ------------[ cut here ]------------
[158311.111389] Hardware became unavailable upon resume. This could be a software issue prior to suspend or a hardware issue.
[158311.111440] WARNING: CPU: 1 PID: 10126 at net/mac80211/util.c:2058 ieee80211_reconfig+0xcd/0x1310 [mac80211]
[158311.111440] Modules linked in: cdc_ether usbnet r8152 mii uinput thunderbolt rfcomm fuse nf_conntrack_netlink xt_addrtype br_netfilter ccm xt_CHECKSUM ipt_MASQUERADE tun br
idge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_ma
ngle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtab
le_filter ebtables overlay ip6table_filter ip6_tables cmac bnep vfat fat squashfs loop arc4 snd_hda_codec_hdmi iTCO_wdt mei_wdt iTCO_vendor_support snd_soc_skl snd_soc_hdac_hda
 intel_rapl snd_hda_ext_core x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl_ipc snd_soc_sst_ipc kvm_intel uvcvideo snd_soc_sst_dsp btusb snd_soc_acpi_intel_match vi
deobuf2_vmalloc snd_soc_acpi btrtl btbcm dell_laptop intel_cstate snd_soc_core btintel videobuf2_memops intel_uncore ath10k_pci
[158311.111460]  videobuf2_v4l2 intel_rapl_perf bluetooth snd_hda_codec_realtek snd_hda_codec_generic videobuf2_common ath10k_core snd_compress ac97_bus snd_pcm_dmaengine video
dev snd_hda_intel snd_hda_codec mac80211 ecdh_generic media snd_hda_core snd_hwdep snd_seq dell_wmi dell_smbios snd_seq_device dcdbas ath snd_pcm joydev cfg80211 wmi_bmof dell_
wmi_descriptor intel_wmi_thunderbolt snd_timer snd idma64 i2c_i801 soundcore mei_me rfkill intel_lpss_pci rtsx_pci_ms mei intel_lpss memstick intel_pch_thermal ucsi_acpi typec_
ucsi processor_thermal_device typec intel_soc_dts_iosf intel_vbtn soc_button_array intel_hid int3400_thermal int3403_thermal sparse_keymap acpi_pad acpi_thermal_rel int340x_the
rmal_zone pcc_cpufreq nfsd auth_rpcgss vboxpci(OE) vboxnetadp(OE) nfs_acl vboxnetflt(OE) lockd grace sunrpc vboxdrv(OE) btrfs libcrc32c xor zstd_decompress zstd_compress xxhash
 raid6_pq dm_crypt hid_multitouch i915 kvmgt mdev vfio rtsx_pci_sdmmc crct10dif_pclmul mmc_core kvm crc32_pclmul crc32c_intel
[158311.111490]  irqbypass i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm nvme serio_raw nvme_core rtsx_pci wmi i2c_hid video pinctrl_sunrisepoint pinctrl_intel
[158311.111497] CPU: 1 PID: 10126 Comm: kworker/u8:3 Tainted: G        W  OE     4.20.10-200.fc29.x86_64 #1
[158311.111497] Hardware name: Dell Inc. XPS 13 9360/0PF86Y, BIOS 2.10.0 09/27/2018
[158311.111501] Workqueue: events_unbound async_run_entry_fn
[158311.111513] RIP: 0010:ieee80211_reconfig+0xcd/0x1310 [mac80211]
[158311.111514] Code: 0f 00 00 c6 44 24 1f 00 c6 85 9c 04 00 00 00 48 89 ef e8 86 c0 fc ff 41 89 c6 85 c0 74 10 48 c7 c7 f8 11 b4 c0 e8 dd 77 5b c2 <0f> 0b eb ac 48 8b 45 38 44
 8b 68 7c e8 c2 2e e4 c2 0f 1f 44 00 00
[158311.111514] RSP: 0000:ffffafb68b13fd70 EFLAGS: 00010282
[158311.111515] RAX: 0000000000000000 RBX: ffff9aba15f70428 RCX: 0000000000000006
[158311.111516] RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9aba2e2968c0
[158311.111516] RBP: ffff9aba15f70780 R08: 0000000000000000 R09: 00000000000207c0
[158311.111517] R10: 000000067dcc545c R11: 00000000000366a0 R12: 0000000000000000
[158311.111517] R13: 0000000000000000 R14: 00000000fffffffb R15: ffffffff84143e9f
[158311.111518] FS:  0000000000000000(0000) GS:ffff9aba2e280000(0000) knlGS:0000000000000000
[158311.111519] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[158311.111519] CR2: 0000000000000000 CR3: 00000002c320a001 CR4: 00000000003606e0
[158311.111520] Call Trace:
[158311.111524]  ? enqueue_entity+0xf6/0x660
[158311.111539]  wiphy_resume+0x7f/0x120 [cfg80211]
[158311.111545]  ? wiphy_suspend+0x270/0x270 [cfg80211]
[158311.111548]  dpm_run_callback+0x59/0x150
[158311.111549]  device_resume+0xac/0x1f0
[158311.111550]  async_resume+0x19/0x30
[158311.111551]  async_run_entry_fn+0x39/0x160
[158311.111553]  process_one_work+0x1a1/0x3a0
[158311.111555]  worker_thread+0x30/0x380
[158311.111556]  ? pwq_unbound_release_workfn+0xd0/0xd0
[158311.111558]  kthread+0x112/0x130
[158311.111559]  ? kthread_create_on_node+0x60/0x60
[158311.111562]  ret_from_fork+0x35/0x40
[158311.111563] ---[ end trace beee0094486079cc ]---
[158311.111743] ------------[ cut here ]------------
[158311.111744] wlp58s0:  Failed check-sdata-in-driver check, flags: 0x0
[158311.111772] WARNING: CPU: 1 PID: 10126 at net/mac80211/driver-ops.h:19 drv_remove_interface+0xf5/0x100 [mac80211]
[158311.111772] Modules linked in: cdc_ether usbnet r8152 mii uinput thunderbolt rfcomm fuse nf_conntrack_netlink xt_addrtype br_netfilter ccm xt_CHECKSUM ipt_MASQUERADE tun br
idge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_ma
ngle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtab
le_filter ebtables overlay ip6table_filter ip6_tables cmac bnep vfat fat squashfs loop arc4 snd_hda_codec_hdmi iTCO_wdt mei_wdt iTCO_vendor_support snd_soc_skl snd_soc_hdac_hda
 intel_rapl snd_hda_ext_core x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl_ipc snd_soc_sst_ipc kvm_intel uvcvideo snd_soc_sst_dsp btusb snd_soc_acpi_intel_match vi
deobuf2_vmalloc snd_soc_acpi btrtl btbcm dell_laptop intel_cstate snd_soc_core btintel videobuf2_memops intel_uncore ath10k_pci
[158311.111789]  videobuf2_v4l2 intel_rapl_perf bluetooth snd_hda_codec_realtek snd_hda_codec_generic videobuf2_common ath10k_core snd_compress ac97_bus snd_pcm_dmaengine video
dev snd_hda_intel snd_hda_codec mac80211 ecdh_generic media snd_hda_core snd_hwdep snd_seq dell_wmi dell_smbios snd_seq_device dcdbas ath snd_pcm joydev cfg80211 wmi_bmof dell_
wmi_descriptor intel_wmi_thunderbolt snd_timer snd idma64 i2c_i801 soundcore mei_me rfkill intel_lpss_pci rtsx_pci_ms mei intel_lpss memstick intel_pch_thermal ucsi_acpi typec_
ucsi processor_thermal_device typec intel_soc_dts_iosf intel_vbtn soc_button_array intel_hid int3400_thermal int3403_thermal sparse_keymap acpi_pad acpi_thermal_rel int340x_the
rmal_zone pcc_cpufreq nfsd auth_rpcgss vboxpci(OE) vboxnetadp(OE) nfs_acl vboxnetflt(OE) lockd grace sunrpc vboxdrv(OE) btrfs libcrc32c xor zstd_decompress zstd_compress xxhash
 raid6_pq dm_crypt hid_multitouch i915 kvmgt mdev vfio rtsx_pci_sdmmc crct10dif_pclmul mmc_core kvm crc32_pclmul crc32c_intel
[158311.111809]  irqbypass i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm nvme serio_raw nvme_core rtsx_pci wmi i2c_hid video pinctrl_sunrisepoint pinctrl_intel
[158311.111812] CPU: 1 PID: 10126 Comm: kworker/u8:3 Tainted: G        W  OE     4.20.10-200.fc29.x86_64 #1
[158311.111813] Hardware name: Dell Inc. XPS 13 9360/0PF86Y, BIOS 2.10.0 09/27/2018
[158311.111815] Workqueue: events_unbound async_run_entry_fn
[158311.111822] RIP: 0010:drv_remove_interface+0xf5/0x100 [mac80211]
[158311.111823] Code: 85 c0 75 e8 5b 5d 41 5c c3 48 8b b3 08 04 00 00 48 81 c3 28 04 00 00 48 c7 c7 98 03 b4 c0 48 85 f6 48 0f 44 f3 e8 35 b2 5e c2 <0f> 0b e9 53 ff ff ff 0f 1f
 40 00 0f 1f 44 00 00 41 57 49 89 d7 41
[158311.111823] RSP: 0000:ffffafb68b13fc00 EFLAGS: 00010286
[158311.111824] RAX: 0000000000000000 RBX: ffff9aba293dece8 RCX: 0000000000000006
[158311.111825] RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9aba2e2968c0
[158311.111825] RBP: ffff9aba15f71038 R08: 0000000000000000 R09: 00000000000207c0
[158311.111826] R10: 000000067dd95310 R11: 000000000003555c R12: ffff9aba15f70780
[158311.111826] R13: ffff9aba15f70f08 R14: ffff9aba15f70780 R15: ffff9aba293df3a0
[158311.111827] FS:  0000000000000000(0000) GS:ffff9aba2e280000(0000) knlGS:0000000000000000
[158311.111828] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[158311.111828] CR2: 0000000000000000 CR3: 00000002c320a001 CR4: 00000000003606e0
[158311.111829] Call Trace:
[158311.111838]  ieee80211_do_stop+0x584/0x860 [mac80211]
[158311.111846]  ieee80211_stop+0x16/0x20 [mac80211]
[158311.111849]  __dev_close_many+0xa1/0x110
[158311.111850]  dev_close_many+0x9f/0x160
[158311.111852]  dev_close.part.107+0x64/0xa0
[158311.111864]  cfg80211_shutdown_all_interfaces+0x6d/0xc0 [cfg80211]
[158311.111874]  ieee80211_reconfig+0x85/0x1310 [mac80211]
[158311.111876]  ? enqueue_entity+0xf6/0x660
[158311.111882]  wiphy_resume+0x7f/0x120 [cfg80211]
[158311.111889]  ? wiphy_suspend+0x270/0x270 [cfg80211]
[158311.111890]  dpm_run_callback+0x59/0x150
[158311.111891]  device_resume+0xac/0x1f0
[158311.111892]  async_resume+0x19/0x30
[158311.111893]  async_run_entry_fn+0x39/0x160
[158311.111894]  process_one_work+0x1a1/0x3a0
[158311.111895]  worker_thread+0x30/0x380
[158311.111896]  ? pwq_unbound_release_workfn+0xd0/0xd0
[158311.111898]  kthread+0x112/0x130
[158311.111899]  ? kthread_create_on_node+0x60/0x60
[158311.111900]  ret_from_fork+0x35/0x40
[158311.111901] ---[ end trace beee0094486079cd ]---

And there is no reset that works. Turning off (hard) is the only one that works.

Comment 21 Felipe Zipitría 2019-03-01 11:51:37 UTC
Forgot to add that this is with the latest firmware from this thread: linux-firmware-20190213-93.git710963fe.fc29.noarch.

Comment 22 sebastian.treu 2019-04-01 20:43:42 UTC
I'm having a different behaviour, problem persist but at least I don't have to reboot the system:

Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: firmware crashed! (guid ad6e82f6-325e-4f0f-a7c5-2116e186d000)
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 17aa:0901
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: firmware ver WLAN.TF.2.1-00021-QCARMSWP-1 api 6 features wowlan,ignore-otp crc32 42e41877
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: board_file api 2 bmi_id N/A crc32 8aedfa4a
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: firmware register dump:
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [00]: 0x05020001 0x00000000 0x009F97CC 0x00000003
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [04]: 0x009F97CC 0x00060133 0x00000008 0x00000002
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [08]: 0x0040A054 0xFFFFFFFF 0x00411820 0x00000000
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [12]: 0x00000009 0xFFFFFFFF 0x00952F6C 0x00952F77
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [16]: 0x00952CC4 0x0091080D 0x00000000 0x0091080D
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [20]: 0x409F97CC 0x0040E9E8 0x00000000 0x0045A000
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [24]: 0x8093426E 0x0040EA48 0x00000001 0xC09F97CC
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [28]: 0x809BC439 0x0040EA68 0x0040A054 0x00000080
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [32]: 0x809BC408 0x0040EA88 0x0040A054 0x00000001
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [36]: 0x809F7212 0x0040EAA8 0x0040A054 0x00000000
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [40]: 0x80911210 0x0040EAC8 0x0000000B 0x0040416C
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [44]: 0x80911154 0x0040EB28 0x00400000 0x00000000
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [48]: 0x8091122D 0x0040EB48 0x00000000 0x00400600
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [52]: 0x40910024 0x0040EB78 0x0040AB98 0x0040AB98
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [56]: 0x00000000 0x0040EB98 0x009BB001 0x00040020
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: Copy Engine register dump:
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [00]: 0x00034400  11  11   3   3
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [01]: 0x00034800   4   4 337 338
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [02]: 0x00034c00  42  42  41  42
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [03]: 0x00035000   4   4   6   4
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [04]: 0x00035400 3213 3213 136  72
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [05]: 0x00035800   0   0  64   0
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [06]: 0x00035c00  21  21   7   7
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: [07]: 0x00036000   1   1   1   1
Apr  1 17:41:27 leyla kernel: ieee80211 phy0: Hardware restart was requested
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: unsupported HTC service id: 1536
Apr  1 17:41:27 leyla kernel: ath10k_pci 0000:05:00.0: device successfully recovered

Comment 23 Vladimir Kangin 2019-04-07 19:03:46 UTC
Apparently linux-firmware-20190213-93.git710963fe.fc28.noarch have a problem with Acer Swift 7:

lspci | grep Ather
01:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)

cat /var/log/messages | grep ath
Apr  7 22:18:42 localhost kernel: ath10k_pci 0000:01:00.0: pci irq msi oper_irq_mode 2 irq_mode 0 reset_mode 0
Apr  7 22:18:43 localhost kernel: ath10k_pci 0000:01:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 11ad:0807
Apr  7 22:18:43 localhost kernel: ath10k_pci 0000:01:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Apr  7 22:18:43 localhost kernel: ath10k_pci 0000:01:00.0: firmware ver RM.4.4.1.c2-00057-QCARMSWP-1 api 6 features wowlan,ignore-otp,no-4addr-pad,raw-mode crc32 e061250a
Apr  7 22:18:43 localhost kernel: ath10k_pci 0000:01:00.0: board_file api 2 bmi_id N/A crc32 4ed3569e
Apr  7 22:18:44 localhost kernel: ath10k_pci 0000:01:00.0: failed to receive control response completion, polling..
Apr  7 22:18:44 localhost kernel: ath10k_pci 0000:01:00.0: failed to wake target for write32 of 0x00000001 at 0x00034430: -110
Apr  7 22:18:44 localhost kernel: ath10k_pci 0000:01:00.0: failed to wake target for read32 at 0x00034444: -110
Apr  7 22:18:49 localhost kernel: ath10k_warn: 110 callbacks suppressed
<omitted>
Apr  7 23:30:53 localhost kernel: ath10k_pci 0000:01:00.0: failed to wake target for read32 at 0x0003a028: -110
Apr  7 23:30:53 localhost kernel: ath10k_pci 0000:01:00.0: failed to read device register, device is gone
Apr  7 23:30:53 localhost kernel: ath10k_pci 0000:01:00.0: failed to reset chip: -5
Apr  7 23:30:54 localhost kernel: ath10k_pci: probe of 0000:01:00.0 failed with error -5

Solution is to remove or move files board.bin firmware-6.bin notice_ath10k_firmware-6.txt from /lib/firmware/ath10k/QCA6174/hw3.0 directory and then

sudo rmmod ath10k_pci
sudo modprobe ath10k_pci

cat /var/log/messages | grep ath
Apr  8 02:29:37 localhost kernel: ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
Apr  8 02:29:37 localhost kernel: ath10k_pci 0000:01:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 11ad:0807
Apr  8 02:29:37 localhost kernel: ath10k_pci 0000:01:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Apr  8 02:29:37 localhost kernel: ath10k_pci 0000:01:00.0: firmware ver WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 features wowlan,ignore-otp,no-4addr-pad crc32 75dee6c5
Apr  8 02:29:37 localhost kernel: ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-2.bin failed with error -2
Apr  8 02:29:37 localhost kernel: ath10k_pci 0000:01:00.0: board_file api 1 bmi_id N/A crc32 ed5f849a
Apr  8 02:29:40 localhost kernel: ath10k_pci 0000:01:00.0: failed to ping firmware: -110
Apr  8 02:29:40 localhost kernel: ath10k_pci 0000:01:00.0: failed to reset rx filter: -110
Apr  8 02:29:40 localhost kernel: ath10k_pci 0000:01:00.0: could not init core (-110)
Apr  8 02:29:40 localhost kernel: ath10k_pci 0000:01:00.0: could not probe fw (-110)
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: pci irq msi oper_irq_mode 2 irq_mode 0 reset_mode 0
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/pre-cal-pci-0000:01:00.0.bin failed with error -2
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/cal-pci-0000:01:00.0.bin failed with error -2
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-6.bin failed with error -2
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 11ad:0807
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: firmware ver WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 features wowlan,ignore-otp,no-4addr-pad crc32 75dee6c5
Apr  8 02:31:34 localhost kernel: ath10k_pci 0000:01:00.0: board_file api 2 bmi_id N/A crc32 4ed3569e
Apr  8 02:31:35 localhost kernel: ath10k_pci 0000:01:00.0: htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
Apr  8 02:31:35 localhost kernel: ath10k_pci 0000:01:00.0 wlp1s0: renamed from wlan0
Apr  8 02:31:35 localhost NetworkManager[1084]: <info>  [1554661895.4752] rfkill3: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:1d.0/0000:01:00.0/ieee80211/phy2/rfkill3) (driver ath10k_pci)
Apr  8 02:31:46 localhost kernel: ath10k_pci 0000:01:00.0 wlp1s0: disabling HT/VHT due to WEP/TKIP use

Comment 24 aGgM6kTti 2019-08-07 03:23:47 UTC
Created attachment 1601215 [details]
Fedora 30 ath10k firmware crash: `journalctl -b -1` for the relevant boot

grep ath10k to find the most relevant entries

Comment 25 aGgM6kTti 2019-08-07 03:26:33 UTC
Can we please re-open this bug? Because it's back!

I just upgraded from Fedora 29 to Fedora 30 and find I'm unable to use the wireless card under the 5.2.5-200.fc30.x86_64 kernel that came with the upgrade. It still works under kernel 5.1.20.fc29.x86_64

The apparent cause of the failure is in the ath10k_pci driver which crashes at regular intervals but never seems able to recover, essentially as described in this bug report.

Disabling and re-enabling the wireless does not restore functionality.

The hardware is a Dell XPS 9550.

I've attached my system logs showing the firmware crash. Let me know what else might be useful and I can get it for you.


Note You need to log in before you can comment on or make changes to this bug.